/********************************************************************
 * OAbnd
 * lib to provide services for browse, disco and feature negotation
 *
 * Copyright (C) 2003 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#ifndef OABND_JABBLDDISCOINFO_HPP
#define OABND_JABBLDDISCOINFO_HPP
#include "xstrm/jabbuild.h"
#include "bnd/oabnd_exports.h"
#include "bnd/ijabdiscoinfo.hpp"

namespace jabber
{
  class OABND_API DiscoInfoBuild;
  class DiscoInfoBuild : public JabBuild
  {
  public:
    DiscoInfoBuild(){}
    DiscoInfoBuild(const DiscoInfoBuild& dib)
      : JabBuild(dib){}
    virtual ~DiscoInfoBuild(){}
    virtual std::string ID()const{
      return "jabber::DiscoInfoBuild";
    }

    virtual JabBuild* Clone(){
      return new DiscoInfoBuild;
    }

    virtual bool CanBuild(xercesc::DOMNode *const nd)const;

    virtual JabPacket* Build(xercesc::DOMNode *const nd);
  private:
    bool BuildIdentity(JabDiscoInfo::Identity &jdii,xercesc::DOMNode*const nd);
    bool BuildFeature(JabDiscoInfo::Feature &jdif,xercesc::DOMNode*const nd);
  };
};

#endif
