/********************************************************************
 * OpenAether Framework
 * Contains objects to aid in the development of applications
 * mainly focusing on test applications and daemons
 *
 * Copyright (C) 2004 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#include "framework/first.h"
#include "openaether.hpp"
#include "framework/debug_xml.hpp"
#if defined(IS_DEBUG)
#include "framework/xmlutil.hpp"
#endif

XERCES_CPP_NAMESPACE_USE
namespace oa
{
  debug_xml::debug_xml(DOMNode* nd)
#if defined(IS_DEBUG)
    : m_nd(nd)
#endif
  {
  }
  std::string debug_xml::msg()const
  {
#if defined(IS_DEBUG)
    if(m_nd){
      return XMLUtils().Print(m_nd);
    }else{
      return "null";
    }
#endif
  }
};
