/********************************************************************
 * OpenAether Framework
 * Contains objects to aid in the development of applications
 * mainly focusing on test applications and daemons
 *
 * Copyright (C) 2004 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#ifndef OAFRAMEWORK_DEBUG_XML_HPP
#define OAFRAMEWORK_DEBUG_XML_HPP
#include "oapr/oapr_debug.hpp"
#include <xercesc/dom/DOMNode.hpp>
#include "framework/framework_exports.h"
namespace oa
{
  class FW_API debug_xml;
  class debug_xml : public oapr::debug_msg
  {
  public:
    debug_xml(xercesc::DOMNode* nd);
    debug_xml(const debug_xml& dx)
      : oapr::debug_msg(dx)
	,m_nd(dx.m_nd)
    {
    }
    virtual ~debug_xml(){}
    virtual std::string msg()const;
  private:
    xercesc::DOMNode* m_nd;
  };
};
#endif
