/********************************************************************
 * OpenAether Framework
 * Contains objects to aid in the development of applications
 * mainly focusing on test applications and daemons
 *
 * Copyright (C) 2002 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#ifndef FWIS_MED_DISPATCH_HPP
#define FWIS_MED_DISPATCH_HPP
#include <boost/smart_ptr.hpp>
namespace oa
{
  template<typename event_t,
	   typename node_t>
  class MedDispatch
  {
  public:
    typedef event_t event_type;
    typedef boost::shared_ptr<event_type> event_ptr;
    typedef node_t node_type;
    typedef boost::shared_ptr<node_type> node_ptr;
  public:
    MedDispatch(){}
    MedDispatch(const MedDispatch& md){}
    virtual ~MedDispatch(){}
    virtual void AddNode(node_ptr nd,bool pri=false)=0;
  };
};
#endif
