/********************************************************************
 * OpenAether Framework
 * Contains objects to aid in the development of applications
 * mainly focusing on test applications and daemons
 *
 * Copyright (C) 2002 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#ifndef FWIS_ROUTER_HPP
#define FWIS_ROUTER_HPP
#include "framework/fwis/med_sender.hpp"
#include "framework/fwis/med_dispatch.hpp"

namespace oa
{
  template<typename event_t,
	   typename node_t>
  class Router : public MedSender<event_t>,
		 public MedDispatch<event_t,node_t>
  {
  public:
    typedef typename MedSender<event_t>::event_type event_type;
    typedef typename MedSender<event_t>::event_ptr event_ptr;
    typedef typename MedDispatch<event_t,node_t>::node_type node_type;
    typedef typename MedDispatch<event_t,node_t>::node_ptr node_ptr;
    typedef MedSender<event_t> sender_type;
    typedef MedDispatch<event_t,node_t> dispatch_type;
  public:
    Router(){}
    Router(const Router& r)
      : sender_type(r),
	dispatch_type(r){}
    virtual ~Router(){}
    virtual node_ptr Primary()const=0;
    virtual void Start()=0;
    virtual void Term()=0;
  };
};

#endif
