/********************************************************************
 * OpenAether Framework
 * Contains objects to aid in the development of applications
 * mainly focusing on test applications and daemons
 *
 * Copyright (C) 2002 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#ifndef FRAMEWORK_MAP_UTILS_HPP
#define FRAMEWORK_MAP_UTILS_HPP

#include <map>
namespace oa
{
  template<typename K,typename V>
  class value_equals
  {
  public:
    value_equals(const V& v)
      :m_value(v){}
    bool operator()(std::pair<const K,V> elem){
      return elem.second==m_value;
    }
  private:
    V m_value;
  };

  template<typename K, typename V>
  class value_second
  {
  public:
    value_second(){}
    V operator()(std::pair<const K,V> elem){
      return elem.second;
    }
  };

  template<typename K, typename V, typename A>
  class key_alt
  {
  public:
    key_alt(const A& a)
      : m_alt(a){}
    K operator()(std::pair<const K,V> elem){
      return (elem.first==m_alt);
    }
  private:
    A m_alt;
  };
}

#endif
