/********************************************************************
 * OpenAether Framework
 * Contains objects to aid in the development of applications
 * mainly focusing on test applications and daemons
 *
 * Copyright (C) 2002 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#ifndef FRAMEWORK_OASLEEP_HPP
#define FRAMEWORK_OASLEEP_HPP


namespace oa
{
  /* a simple wrapper to usleep and an impl on win32*/
#ifdef WIN32
#include <time.h>
  void oasleep(clock_t wait)
  {
    clock_t goal;
    goal = wait+clock();
    while(goal>clock()){;}
  }
#else
#include <unistd.h>
  int oasleep(int wait)
  {
    return sleep(wait);
  }
#endif
};


#endif
