/********************************************************************
 * OpenAether Framework
 * Contains objects to aid in the development of applications
 * mainly focusing on test applications and daemons
 *
 * Copyright (C) 2002 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#ifndef FRAMEWORK_PARSER_CMDLINE_HPP
#define FRAMEWORK_PARSER_CMDLINE_HPP
#include "framework/framework_exports.h"
#include "framework/config_parser.hpp"

namespace oa
{
#ifdef WIN32
  class FW_API CmdLine;
#endif
  class CmdLine : public Parser
  {
  public:
    typedef std::pair<std::string,std::string> strpr;
    typedef std::vector<std::string> strvec;
  public:
    CmdLine():m_paramToken("="){}
    virtual ~CmdLine(){}

    virtual void Param(const std::string &param){
      m_paramToken = param;
    }
    virtual int Source(int argc, char*argv[]);
    virtual int Source(CmdLine::strvec &src);
    virtual int Source(const std::string &src);
    virtual Config* Parse();
  protected:
    virtual strpr Tokenize(const std::string &tok);
  protected:
    strvec m_vecsrc;
    std::string m_source;
    std::string m_paramToken;
  };

};
#endif
