/********************************************************************
 * OpenAether Framework
 * Contains objects to aid in the development of applications
 * mainly focusing on test applications and daemons
 *
 * Copyright (C) 2002 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#ifndef FRAMEWORK_XERCES_XMLNS_H
#define FRAMEWORK_XERCES_XMLNS_H
#include <string>
#include <xercesc/util/XercesDefs.hpp>
#include <xercesc/dom/DOMElement.hpp>
#include "framework/framework_exports.h"

namespace oa
{
  class FW_API XercesXmlns
  {
  public:
    XercesXmlns();
    XercesXmlns(const XercesXmlns& xx);
    ~XercesXmlns();
    void operator()(xercesc::DOMElement*const e,
		    const XMLCh*const ns);
    void operator()(xercesc::DOMElement*const e,
		    const char*const ns);
  };
};
#endif
