/********************************************************************
 * OpenAether Framework
 * Contains objects to aid in the development of applications
 * mainly focusing on test applications and daemons
 *
 * Copyright (C) 2002 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#ifndef FRAMEWORK_XMLSTR_HPP
#define FRAMEWORK_XMLSTR_HPP
#include <boost/scoped_array.hpp>
#include <xercesc/util/XMLString.hpp>
namespace oa
{
  template<typename To, typename From>
  class xmlstr
  {
  public:
    xmlstr(){}
    xmlstr(const From*const frm)
      : m_val(xercesc::XMLString::transcode(frm)){}
    ~xmlstr(){}
    void set(const From*const frm){
      m_val.reset(xercesc::XMLString::transcode(frm));
    }
    To*const get()const{return m_val.get();}
    operator To*const(){return m_val.get();}
  private:
    boost::scoped_array<To> m_val;    
      
  };
};
#endif
