/* -*- Mode: c++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 * OAjabber library
 * Contains objects to aid in Jabber client development and extend the
 * basic functionality of jabber.
 *
 * Copyright (C) 2004 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#include "framework/first.h"
#include "openaether.hpp"
#include "jabber/ijabstream.h"
#include "framework/xmlutil.hpp"
#include "oapr/oapr_exception.hpp"

namespace jabber
{
  std::string JabStream::xml()
  {
    std::string rv;
    if(m_node){
      rv=oa::XMLUtils().Print(m_node);
      return rv;
    }else{
      if(m_host.empty() || m_xmlns.empty()){
        OAPR_THROW(oapr::invalid_state,"host and xmlns are empty");
      }
      rv = std::string("")+
        "<?xml version=\"1.0\" encoding=\"UTF-8\" ?>"
        "<stream:stream to=\""+m_host+"\""
        " xmlns=\""+m_xmlns+"\""
        " xmlns:stream=\"http://etherx.jabber.org/streams\""
        ">";
      return rv;
    }
  }
};
