/********************************************************************
 * OAjabber library
 * Contains objects to aid in Jabber client development and extend the
 * basic functionality of jabber.
 *
 * Copyright (C) 2001 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#include "framework/first.h"
#include "openaether.hpp"
#include "framework/xerces_xmlns.hpp"
#include "framework/xmlstr.hpp"
#include "framework/dom_ptr.hpp"
#include "jabber/jabauthreg.h"
#include "jabber/ijabregister.h"

XERCES_CPP_NAMESPACE_USE
namespace jabber
{
  JabAuthReg::JabAuthReg(const std::string &domain)
    : JabAuthClient()
  {
    m_domain=domain;
    m_jid=domain;
  }
  JabAuthReg::~JabAuthReg()
  {}
  std::string JabAuthReg::xml()
  {
    /**
     * ok need to create the following xml
     * <iq type="get" id="..." to="domain">
     *   <query xmlns="jabber:iq:register"/>
     * </iq>
     */
    //use the stupid default register xml!! <duh>
    JabRegister jReg;
    jReg.Type("get");
    jReg.To(Domain());
    jReg.Id(Id());

    return jReg.xml();
  }
  DOMNode*const JabAuthReg::BuildXml()
  {
    /**\todo implement this*/
    return 0;
  }
};
