/* -*- Mode: c++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 * OAjabber library
 * Contains objects to aid in Jabber client development and extend the
 * basic functionality of jabber.
 *
 * Copyright (C) 2002 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#ifndef OAJABBER_JABBLDLAST_H
#define OAJABBER_JABBLDLAST_H

#include "jabber/oajabber_exports.h"
#include "xstrm/jabbuild.h"

namespace jabber
{
  class OAJABBER_API BuildLast;

  /** @ingroup gJabBuild
   */
  class BuildLast : public JabBuild
  {
  public:
    ///ctor
    BuildLast()
      : JabBuild(){}

    BuildLast(const BuildLast& bl)
      : JabBuild(bl){}

    ///dtor
    virtual ~BuildLast(){}
    virtual std::string ID()const{
      return "jabber::BuildLast";
    }
    virtual JabBuild* Clone(){
      return new BuildLast(*this);
    }
    virtual bool CanBuild(xercesc::DOMNode *const nd)const;
    ///Request build
    virtual JabPacket* Build(xercesc::DOMNode *const nd);

  };
};

#endif
