/********************************************************************
 * OpenAether jabDB
 * Transport to allow jabber access to rdbms 
 *
 * Copyright (C) 2002 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#ifndef OAJABDB_JABDB_BUILDER_HPP
#define OAJABDB_JABDB_BUILDER_HPP
#include "jda/oadbjab_exports.hpp"
#include "xstrm/jabbuild.h"


namespace oajabdb
{
  class OADBJAB_API Builder;
  class OADBJAB_API BuildQuery;
  /**
    if type is 'get' and no 'query' element
      if only element is database/ or database/table
        it is a schema request.
      else
        it is a select
    else if type is 'set' and no 'query' element
      if has col child elements
        if no where element 
          it is an insert
	else
          it is an update
      else
        it is a delete
    else if has 'query' element
      it is indeterminant and use sql parser to figure out what it is
   */
  class Builder : public jabber::JabBuild
  {
  public:
    Builder(){}
    virtual ~Builder(){}
    virtual std::string ID()const{
      return "oajabdb::Builder";
    }
    virtual JabBuild* Clone(){
      return new Builder;
    }
    virtual bool CanBuild(xercesc::DOMNode*const nd)const;
    virtual jabber::JabPacket* Build(xercesc::DOMNode*const nd);
  protected:
    std::auto_ptr<jabber::JabPacket> p_packet;
  };

  class BuildQuery : public jabber::JabBuild
  {
  public:
    BuildQuery(){}
    virtual ~BuildQuery(){}
    virtual std::string ID()const{
      return "oajabdb::BuildQuery";
    }
    virtual JabBuild* Clone(){
      return new BuildQuery;
    }
    virtual bool CanBuild(xercesc::DOMNode*const nd)const;
    virtual jabber::JabPacket* Build(xercesc::DOMNode*const nd);
  protected:
    std::auto_ptr<jabber::JabPacket> p_packet;
  };
};
#endif
