/********************************************************************
 * OpenAether jabDB
 * Transport to allow jabber access to rdbms 
 *
 * Copyright (C) 2002 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#include "framework/first.h"
#include "openaether.hpp"
#include <xercesc/dom/DOMNodeList.hpp>
#include <xercesc/dom/DOMElement.hpp>
#include "framework/xmlutil.hpp"
#include "jda/builder_delete.hpp"

XERCES_CPP_NAMESPACE_USE
namespace oajabdb
{
  bool BuildDelete::CanBuild(DOMNode*const nd)const
  {
    /**\todo implement this*/
    return false;
  }
  jabber::JabPacket* BuildDelete::Build(DOMNode*const nd)
  {
    std::string tbname;

    TableName(nd,tbname);

    p_packet.reset(new PcktDelete);

    BuildClause(nd);

    p_packet->Table(tbname);
    return p_packet.release();
  }
};
