/********************************************************************
 * OpenAether jabDB
 * Transport to allow jabber access to rdbms 
 *
 * Copyright (C) 2002 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#ifndef JABDB_JABBER_BUILDER_GET_HPP
#define JABDB_JABBER_BUILDER_GET_HPP

#include "jda/oadbjab_exports.hpp"
#include "jda/builder_db.hpp"

namespace oajabdb
{
  class OADBJAB_API BuildGet;
  class BuildGet : public DbBuild
  {
  public:
    BuildGet(){}
    virtual ~BuildGet(){}
    virtual std::string ID()const{
      return "oajabdb::BuildGet";
    }
    virtual JabBuild* Clone(){
      return new BuildGet;
    }
    virtual bool CanBuild(xercesc::DOMNode*const nd)const;
    virtual jabber::JabPacket* Build(xercesc::DOMNode*const nd);
  protected:
    std::auto_ptr<jabber::JabPacket> p_packet;
  };
};
#endif
