/********************************************************************
 * OpenAether jabDB
 * Transport to allow jabber access to rdbms 
 *
 * Copyright (C) 2002 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#include "framework/first.h"
#include "openaether.hpp"
#include <xercesc/util/XMLString.hpp>
#include <xercesc/dom/DOMNodeList.hpp>
#include <xercesc/dom/DOMElement.hpp>
#include "framework/xmlutil.hpp"
#include "jda/builder_insert.hpp"

XERCES_CPP_NAMESPACE_USE
namespace oajabdb
{
  bool BuildInsert::CanBuild(DOMNode*const nd)const
  {
    /**\todo implemen tthis*/
    return false;
  }
  jabber::JabPacket* BuildInsert::Build(DOMNode*const nd)
  {
    std::string strTableName;
    p_packet.reset(new PcktInsert);
    DOMElement* table = (DOMElement*)nd;

    boost::scoped_array<XMLCh> attr(XMLString::transcode("name"));
    const XMLCh* tableName = table->getAttribute(attr.get());
    oa::XMLUtils().DomstrToStd(strTableName,tableName);
    p_packet->Table(strTableName);


    BuildColumns(nd);
    return p_packet.release();
  }
}
