/********************************************************************
 * OpenAether jabDB
 * Transport to allow jabber access to rdbms 
 *
 * Copyright (C) 2002 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#ifndef OAJABDB_JABDB_BUILDER_INSERT_HPP
#define OAJABDB_JABDB_BUILDER_INSERT_HPP

#include "jda/oadbjab_exports.hpp"
#include "jda/builder_db.hpp"
#include "jda/packet_insert.hpp"

namespace oajabdb
{
  class OADBJAB_API BuildInsert;
  class BuildInsert : public DbBuild
  {
  public:
    BuildInsert(){}
    virtual ~BuildInsert(){}
    virtual std::string ID()const{
      return "oajabdb::BuildInsert";
    }
    virtual JabBuild* Clone(){
      return new BuildInsert;
    }
    virtual bool CanBuild(xercesc::DOMNode*const nd)const;
    virtual jabber::JabPacket* Build(xercesc::DOMNode*const nd);
  };
};

#endif
