/********************************************************************
 * OpenAether jabDB
 * Transport to allow jabber access to rdbms 
 *
 * Copyright (C) 2002 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#include "framework/first.h"
#include "openaether.hpp"
#include <stdexcept>
#include <xercesc/util/XMLString.hpp>
#include "framework/xmlutil.hpp"
#include "jda/packet_schema.hpp"
#include "jda/builder_schema.hpp"

XERCES_CPP_NAMESPACE_USE
namespace oajabdb
{
  bool BuildSchema::CanBuild(DOMNode*const nd)const
  {
    /**\todo impelement this*/
    return false;
  }
  jabber::JabPacket* BuildSchema::Build(DOMNode*const nd)
  {
    //if the m_node is null, then this is a simple get list of tables
    //request... so just create a packtschema and return
    std::auto_ptr<PcktSchema> pcktSchema(new PcktSchema);
    if(nd){
      std::string strTableName;
      boost::scoped_array<XMLCh> attr(XMLString::transcode("name"));
      const XMLCh* tableName = ((DOMElement*)nd)->getAttribute(attr.get());
      oa::XMLUtils().DomstrToStd(strTableName,tableName);
      pcktSchema->Table(strTableName);
    }
    p_packet.reset(pcktSchema.release());
    return p_packet.release();
  }

};
