/********************************************************************
 * OpenAether jabDB
 * Transport to allow jabber access to rdbms 
 *
 * Copyright (C) 2002 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#ifndef OAJABDB_JABDB_SQL_WHERE_HPP
#define OAJABDB_JABDB_SQL_WHERE_HPP

#include <string>
#include <vector>

namespace oajabdb
{
  /**
   * A simple basic structured container
   * for a where clause
   */
  class Where
  {
  public:
    struct qualifier
    {
      std::string col;
      std::string op;
      std::string val;
      std::string conj;
    };
    typedef std::vector<qualifier> clause_type;

  public:
    Where(){}
    Where(const Where& w)
      : m_clause(w.m_clause){}
    ~Where(){}
    Where::qualifier MakeQualifier(const std::string &col,
				   const std::string &op,
				   const std::string &val,
				   const std::string &conj){
      Where::qualifier q;
      q.col = col;
      q.op = op;
      q.val = val;
      q.conj = conj;
      return q;
    }
    clause_type m_clause;
  };


};

#endif
