dnl -*- Mode: m4; tab-width: 2; indent-tabs-mode: nil; -*-
dnl Copyright (C) 2003 Justin Kirby <justin@openaether.org>
dnl  
dnl This file is free software; as a special exception the author gives
dnl unlimited permission to copy and/or distribute it, with or without 
dnl modifications, as long as this notice is preserved.
dnl 
dnl This program is distributed in the hope that it will be useful, but
dnl WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
dnl implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

dnl OAPR_APU_CHECK()
dnl
dnl Search for a useable version of the apu library in a number
dnl of common places
dnl

AC_DEFUN(OAPR_APU_CHECK,
[

  APR_FIND_APU
  if test x"$apu_found" = "xno"; then
    AC_MSG_ERROR([could not find apu-config])
  fi

  apucfg=$apu_config
    apu_path=`dirname $apucfg`
    apu_includes=`$apucfg --includes`
    apu_ldflags=`$apucfg --ldflags`
    apu_ldlink=`$apucfg --link-ld`
    apu_libs=`$apucfg --libs`
    apu_libtool=`$apucfg --link-libtool`


    AC_SUBST(apu_path)
    AC_SUBST(apu_includes)
    AC_SUBST(apu_ldflags)
    AC_SUBST(apu_ldlink)
    AC_SUBST(apu_libs)
    AC_SUBST(apu_libtool)
    AM_CONDITIONAL(USE_APU, true)
])

AC_DEFUN(OAPR_APU_TRY,
  [
    oapu_save_libs="$LIBS"
    oapu_save_inc="$INCLUDES"
    LIBS="$LIBS $apu_libtool $apu_libs"
    INCLUDES="$INCLUDES $apu_cflags $apu_cppflags $apu_includes "
    AC_TRY_LINK(
      [
        #include "apu_version.h"
      ],
      [
        apu_version();
      ],
      [oapr_have_apu=yes],[oapr_have_apu=no]
    )
    LIBS="$oapu_save_libs"
    INCLUDES="$oapu_save_inc"
  ]
)
