dnl -*- Mode: m4; tab-width: 2; indent-tabs-mode: nil; -*-
dnl Copyright (C) 2003 Justin Kirby <justin@openaether.org>
dnl  
dnl This file is free software; as a special exception the author gives
dnl unlimited permission to copy and/or distribute it, with or without 
dnl modifications, as long as this notice is preserved.
dnl 
dnl This program is distributed in the hope that it will be useful, but
dnl WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
dnl implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

dnl OA_OAPR_CHECK()
dnl
dnl Search for a useable version of the oapr library in a number
dnl of common places
dnl

AC_DEFUN(OA_OAPR_CHECK,
[
dnl make sure that we have apr around
  OAPR_APR_CHECK
  OAPR_APR_TRY

  dnl  Process the `with-oapr` switch. 
  AC_ARG_WITH(oapr,
    AC_HELP_STRING(--with-oapr=PATH, [alternate location of oapr-config ]),
  [
    if test "$withval" = "yes"; then
      places="search"
      dcheck="$dcheck --with-oapr "
    else
      places="$withval"
      dcheck="$dcheck --with-oapr=$withval "
    fi
  ],
  [
    places="search"
  ])

  dnl Check and set the places
  
  oaprcfg=
  if test "$places" = "search"; then
    oaprcfg=$(which oapr-config)
    if test -z "$oaprcfg"; then
      AC_MSG_ERROR([ oapr-config is not in path, specify location with --with-oapr])
    fi
  else
    oaprcfg="$places/oapr-config"
  fi
  AC_MSG_CHECKING([checking for oapr-config])
  if test -e "$oaprcfg"; then
    AC_MSG_RESULT([yes])
  else
    AC_MSG_ERROR([ $oaprcfg does not exist ])
  fi
  oapr_cflags="`$oaprcfg --cflags ` $apr_cflags"
  oapr_cppflags="`$oaprcfg --cppflags` $apr_cppflags"
  oapr_includes="`$oaprcfg --includes` $apr_includes"
  oapr_ldflags="`$oaprcfg --ldflags` $apr_ldflags"
  oapr_ldlink="`$oaprcfg --link-ld` $apr_ldlink"
  oapr_libs="`$oaprcfg --libs` $apr_libs"
  oapr_libtool="`$oaprcfg --link-libtool` $apr_libtool"

  AC_SUBST(oapr_cflags)
  AC_SUBST(oapr_cppflags)
  AC_SUBST(oapr_includes)
  AC_SUBST(oapr_ldflags)
  AC_SUBST(oapr_ldlink)
  AC_SUBST(oapr_libs)
  AC_SUBST(oapr_libtool)
])

dnl AC_DEFUN(OAPR_OAPR_TRY,
dnl   [
dnl     oapr_save_libs="$LIBS"
dnl     oapr_save_inc="$INCLUDES"
dnl     LIBS="$LIBS $oapr_libtool $oapr_libs"
dnl     INCLUDES="$INCLUDES $oapr_cflags $oapr_cppflags $oapr_includes "
dnl     AC_TRY_LINK(
dnl       [
dnl         #include "oapr_general.h"
dnl       ],
dnl       [
dnl         oapr_initialize();
dnl       ],
dnl       [oapr_have_oapr=yes],[oapr_have_oapr=no]
dnl     )
dnl     LIBS="$oapr_save_libs"
dnl     INCLUDES="$oapr_save_inc"
dnl   ]
dnl )
