dnl -*- Mode: m4; tab-width: 2; indent-tabs-mode: nil; -*-
dnl Copyright (C) 2003 Justin Kirby <justin@openaether.org>
dnl  
dnl This file is free software; as a special exception the author gives
dnl unlimited permission to copy and/or distribute it, with or without 
dnl modifications, as long as this notice is preserved.
dnl 
dnl This program is distributed in the hope that it will be useful, but
dnl WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
dnl implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

dnl OA_OAPU_CHECK()
dnl
dnl Search for a useable version of the oapu library in a number
dnl of common places
dnl

AC_DEFUN(OA_OAPU_CHECK,
[
  OAPR_APU_CHECK
  OAPR_APU_TRY
  dnl  Process the `with-oapu` switch. 
  AC_ARG_WITH(oapu,
    AC_HELP_STRING(--with-oapu=PATH, [alternate location of oapu-config ]),
  [
    if test "$withval" = "yes"; then
      oapu_places="search"
      dcheck="$dcheck --with-oapu "
    else
      oapu_places="$withval"
      dcheck="$dcheck --with-oapu=$withval "
    fi
  ],
  [
    oapu_places="no"
  ])

  dnl Check and set the places

  oapucfg=
  AC_MSG_CHECKING([checking for oapu-config])  
  if test "$oapu_places" = "no"; then
    AM_CONDITIONAL(USE_OAPU, true)
    AC_MSG_RESULT([no])
  else
    if test "$oapu_places" = "search"; then
      oapucfg=$(which oapu-config)
      if test -z "$oapucfg"; then
        AC_MSG_ERROR([ oapu-config is not in path, specify location with --with-oapu])
      fi
    else
      oapucfg="$oapu_places/oapu-config"
    fi

    if test -e "$oapucfg"; then
      AC_MSG_RESULT([yes])
    else
      AC_MSG_ERROR([ $oapucfg does not exist ])
    fi
dnl    oapu_cflags=$($oapucfg --cflags)
dnl    oapu_cppflags=`$oapucfg --cppflags`
    oapu_includes=`$oapucfg --includes`
    oapu_ldflags=`$oapucfg --ldflags`
    oapu_ldlink=`$oapucfg --link-ld`
    oapu_libs=`$oapucfg --libs`
    oapu_libtool=`$oapucfg --link-libtool`

dnl    AC_SUBST(oapu_cflags)
dnl    AC_SUBST(oapu_cppflags)
    AC_SUBST(oapu_includes)
    AC_SUBST(oapu_ldflags)
    AC_SUBST(oapu_ldlink)
    AC_SUBST(oapu_libs)
    AC_SUBST(oapu_libtool)
    AM_CONDITIONAL(USE_OAPU, true)
  fi
])

dnl AC_DEFUN(OAPR_OAPU_TRY,
dnl   [
dnl     oapu_save_libs="$LIBS"
dnl     oapu_save_inc="$INCLUDES"
dnl     LIBS="$LIBS $oapu_libtool $oapu_libs"
dnl     INCLUDES="$INCLUDES $oapu_cflags $oapu_cppflags $oapu_includes "
dnl     AC_TRY_LINK(
dnl       [
dnl         #include "oapu_version.h"
dnl       ],
dnl       [
dnl         oapu_version();
dnl       ],
dnl       [oapr_have_oapu=yes],[oapr_have_oapu=no]
dnl     )
dnl     LIBS="$oapu_save_libs"
dnl     INCLUDES="$oapu_save_inc"
dnl   ]
dnl )
