# Copyright (C) 2001 Justin Kirby <justink@rochester.rr.com>
#  
# This file is free software; as a special exception the author gives
# unlimited permission to copy and/or distribute it, with or without 
# modifications, as long as this notice is preserved.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

AC_DEFUN([OA_XERCES_NAMESPACE_CHECK],
[AC_CACHE_CHECK(wheter xerces-c needs namespace declared, oa_xercesc_namespace,
 [AC_LANG_SAVE
  AC_LANG_CPLUSPLUS
  CXXFLAGS="$CPPFLAGS -I$xercesc_inc -I$xercesc_inc_debug"
  AC_TRY_COMPILE([#include <xercesc/dom/DOMNode.hpp>
],
		[xercesc::DOMNode *dom=0],	
		[oa_xercesc_namespace=yes],
		[oa_xercesc_namespace=no])
  AC_LANG_RESTORE])
if test "$oa_xercesc_namespace" = yes; then
	AC_DEFINE([HAVE_XERCESC_NAMESPACE],[],
	[define if xerces-c requires namespace])
fi
])

AC_DEFUN([OA_XERCES_XMLNS_CHECK],
[AC_CACHE_CHECK( if xerces-c prints xmlns, oa_xercesc_xmlns,
 [AC_LANG_SAVE
  AC_LANG_CPLUSPLUS
  CXXFLAGS="$CXXFLAGS -I$xercesc_inc -I$xercesc_inc_debug"
  AC_TRY_COMPILE([#include <xercesc/util/XercesVersion.hpp>
],
 		[#if XERCES_VERSION_MAJOR==2 && XERCES_VERSION_MINOR<=2
		 #error "xerces version needs xmlns"
		 #endif
		],
		[oa_xercesc_xmlns=yes],
		[oa_xercesc_xmlns=no])
  AC_LANG_RESTORE])
if test "$oa_xercesc_xmlns" = yes; then
	AC_DEFINE([HAVE_XERCESC_XMLNS],[],
	[define if xerces-c prints xmlns attribute without manual set])
	AM_CONDITIONAL(HAVE_XERCESC_XMLNS,true)
else
	AM_CONDITIONAL(HAVE_XERCESC_XMLNS,false)
fi
])
		 
