/* -*- Mode: c++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 * OAjabber pubsub library
 * Contains objects to aid in Jabber client development and extend the
 * basic functionality of jabber.
 *
 * Copyright (C) 2001 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#include "framework/first.h"
#include "openaether.hpp"
#include "pubsub/jabpscreate.hpp"
#include "framework/xmlutil.hpp"
#include "framework/xmlstr.hpp"
#include "framework/dom_ptr.hpp"

XERCES_CPP_NAMESPACE_USE
namespace jabber
{
  DOMNode*const JabPSCreate::BuildXml()
  {
    oa::xmlstr<XMLCh,char> create("create"),
      xmlns(Xmlns().c_str()),
      nodeName("node"),nodeValue;

    DOMDocument *doc = oa::XMLUtils().Document(DocUri(),"oa");
    
    oa::dom_ptr<DOMElement> createNode(doc->createElementNS(xmlns,create));
    if(!NodeName().empty()){
      nodeValue.set(NodeName().c_str());
      createNode->setAttribute(nodeName,nodeValue);
    }
    /**\todo handle error */
    oa::dom_ptr<DOMNode> psNode(BuildPubSub());
    oa::dom_ptr<DOMNode> iqNode(BuildIq());

    psNode->appendChild(createNode.release());
    iqNode->appendChild(psNode.release());

    return iqNode.release();
  }
};
