/* -*- Mode: c++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 * OAjabber pubsub library
 * Contains objects to aid in Jabber client development and extend the
 * basic functionality of jabber.
 *
 * Copyright (C) 2001 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#include "pubsub/jabpspub.hpp"
#include "framework/xmlstr.hpp"
#include "framework/dom_ptr.hpp"
#include "framework/xmlutil.hpp"
namespace jabber
{

  xercesc::DOMNode*const JabPSPub::BuildXml()
  {
    if(m_setItem == false){
      /**@todo throw*/
      return 0;
    }
    if(m_item.PayLoad() == 0){
      /**@todo throw*/
      return 0;
    }
    xercesc::DOMDocument *doc = oa::XMLUtils().Document(DocUri(),"oa");
    oa::xmlstr<XMLCh,char> xmlns(Xmlns().c_str()),
      itemName("item"),
      idName("id"),
      itemVal,idVal;

    oa::dom_ptr<xercesc::DOMNode> iqNode(BuildIq());
    oa::dom_ptr<xercesc::DOMNode> psNode(BuildPubSub());

    oa::dom_ptr<xercesc::DOMElement> item(doc->createElementNS(xmlns,itemName));

    idVal.set(m_item.Id().c_str());
    item->setAttribute(idName,idVal);
    item->appendChild(m_item.PayLoad());

    psNode->appendChild(item.release());
    iqNode->appendChild(psNode.release());

    return iqNode.release();    
  }

}
