/* -*- Mode: c++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 * OAjabber pubsub library
 * Contains objects to aid in Jabber client development and extend the
 * basic functionality of jabber.
 *
 * Copyright (C) 2001 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#ifndef OAJABBER_PUBSUB_JABPSPUB_HPP
#define OAJABBER_PUBSUB_JABPSPUB_HPP

#include "pubsub/psitem.hpp"
#include "pubsub/jabpubsub.hpp"

namespace jabber
{
  class JabPSPub : public JabPubsub
  {
  public:
    JabPSPub()
      : JabPubsub("jabber::JabPSPub")
        ,m_setItem(false){}
    JabPSPub(const JabPSPub& jps)
      : JabPubsub(jps)
        ,m_setItem(jps.m_setItem)
        ,m_item(jps.m_item){}
    ~JabPSPub(){}

    void Item(const PSItem& psi){
      m_item=psi;
      m_setItem=true;
    }
    PSItem Item()const{return m_item;}

    virtual xercesc::DOMNode*const BuildXml();
  private:
    bool m_setItem;
    PSItem m_item;

  };
};
#endif
