/* -*- Mode: c++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 * OAjabber pubsub library
 * Contains objects to aid in Jabber client development and extend the
 * basic functionality of jabber.
 *
 * Copyright (C) 2001 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#include "framework/first.h"
#include "openaether.hpp"
#include "pubsub/jabpubsub.hpp"
#include "framework/xmlutil.hpp"
#include "framework/xmlstr.hpp"
#include "framework/dom_ptr.hpp"
#include "framework/xerces_xmlns.hpp"

XERCES_CPP_NAMESPACE_USE
namespace jabber
{
  DOMNode*const JabPubsub::BuildPubSub()
  {
    oa::xmlstr<XMLCh,char> pubsub("pubsub"),
      xmlnsName("xmlns"),
      xmlnsValue(Xmlns().c_str());
    DOMDocument *doc = oa::XMLUtils().Document(DocUri(),"oa");


    oa::dom_ptr<DOMElement> psElem(doc->createElementNS(xmlnsValue,pubsub));

    oa::XercesXmlns()(psElem.get(),xmlnsValue);
    //    psElem->setAttribute(xmlnsName,xmlnsValue);

    return psElem.release();
  }
};
