/* -*- Mode: c++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 * OAjabber pubsub library
 * Contains objects to aid in Jabber client development and extend the
 * basic functionality of jabber.
 *
 * Copyright (C) 2001 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#ifndef OAJABBER_PUBSUB_PSITEM_HPP
#define OAJABBER_PUBSUB_PSITEM_HPP

#include <string>
#include <xercesc/dom/DOMNode.hpp>
#include "framework/xmlutil.hpp"

namespace jabber
{
  class PSItem
  {
  public:
    PSItem()
      : m_payload(0){}
    PSItem(const PSItem& jpi)
      : m_id(jpi.m_id)
        ,m_payload(jpi.m_payload){}
    ~PSItem(){}

    void Id(const std::string& id){m_id=id;}
    std::string Id()const{
      if(m_id.empty()){
        oa::XMLUtils().Uuid(m_id);
      }
      return m_id;
    }

    void PayLoad(xercesc::DOMNode*const pl){m_payload=pl;}
    xercesc::DOMNode*const PayLoad()const{return m_payload;}
  private:
    mutable std::string m_id;
    xercesc::DOMNode* m_payload;
  };
};

#endif
