/********************************************************************
 * OAsac
 * Is a simple component which provides generic acl functionality to
 * the jabber newtork
 *
 * Copyright (C) 2002 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#ifndef OASAC_JABBLDSAC_HPP
#define OASAC_JABBLDSAC_HPP

#include "xstrm/jabbuild.h"
#include "sac/oasac_exports.h"
namespace jabber
{
  class OASAC_API BuildSac;
  class BuildSac : public JabBuild
  {
  public:
    BuildSac(){}
    BuildSac(const BuildSac& bs)
      : JabBuild(bs){}
    virtual ~BuildSac(){}

    virtual std::string ID()const{
      return "jabber::BuildSac";
    }
    virtual JabBuild* Clone(){return new BuildSac;}
    virtual bool CanBuild(xercesc::DOMNode*const nd)const;
    virtual JabPacket* Build(xercesc::DOMNode*const nd);
  };
};
#endif
