/********************************************************************
 * OAsac
 * Is a simple component which provides generic acl functionality to
 * the jabber newtork
 *
 * Copyright (C) 2002 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#ifndef OASAC_JABSAC_HPP
#define OASAC_JABSAC_HPP
#include "jabber/ijabiq.h"
#include "sac/oasac_exports.h"

namespace jabber
{
  class OASAC_API JabSac;
  class JabSac : public JabIq
  {
  public:
    JabSac()
      : JabIq("jabsac"){}
    JabSac(const JabSac& js)
      : JabIq(js),
	m_actor(js.m_actor),
	m_oper(js.m_oper),
	m_target(js.m_target),
	m_allowed(js.m_allowed){}
    virtual ~JabSac(){}

    /**
     * 
     */
    virtual const char*const Uri()const{
      return "xmpp:xmlns=http://jabber.org/protocol/sac";
    }
    virtual void Xmlns(const std::string& xmlns){}
    virtual std::string Xmlns()const{
      return "http://jabber.org/protocol/sac";
    }
    virtual bool Allowed()const{return m_allowed;}
    virtual std::string Actor()const{return m_actor;}
    virtual std::string Oper()const{return m_oper;}
    virtual std::string Target()const{return m_target;}

    virtual void Allowed(bool allw){m_allowed=allw;}
    virtual void Actor(const std::string &actor){m_actor=actor;}
    virtual void Oper(const std::string &oper){m_oper=oper;}
    virtual void Target(const std::string &target){m_target=target;}

    virtual xercesc::DOMNode*const BuildXml();
  private:
    std::string m_actor;
    std::string m_oper;
    std::string m_target;
    bool m_allowed;
  };
}
#endif
