/********************************************************************
 * OAsac
 * Is a simple component which provides generic acl functionality to
 * the jabber newtork
 *
 * Copyright (C) 2002 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#ifndef OASAC_JABSACQUERY_HPP
#define OASAC_JABSACQUERY_HPP

#include "jabber/ijabiq.h"
#include <vector>
#include <list>
#include "sac/oasac_exports.h"

namespace jabber
{
  class OASAC_API JabSacQuery;
  class JabSacQuery : public JabIq
  {
  public:
    typedef std::vector<std::string> cont_type;
    typedef std::list<std::string> rv_type;
  public:
    JabSacQuery()
      : JabIq("jabsacquery")
    {}
    JabSacQuery(const JabSacQuery& jsq)
      : JabIq(jsq),
	m_opers(jsq.m_opers){}
    virtual ~JabSacQuery(){}

    virtual const char*const Uri()const{
      return "xmpp:xmlns=htpp://jabber.org/protocol/sac#query";
    }

    virtual void Xmlns(const std::string &uri){}
    virtual std::string Xmlns()const{
      return "http://jabber.org/protocol/sac";
    }

    virtual void Insert(const std::string &uri){
      m_opers.push_back(uri);
    }
    virtual void Remove(const std::string &uri);
    virtual rv_type Get()const;

    virtual xercesc::DOMNode*const BuildXml();

  protected:
    cont_type m_opers;
  };
};

#endif
