/* -*- Mode: c++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 * XData library
 * Contains objects to aid in Jabber client development and extend the
 * basic functionality of jabber.
 *
 * Copyright (C) 2003 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#include "openaether.hpp"
#include "framework/xerces_xmlns.hpp"
#include "framework/xmlutil.hpp"
#include "framework/xmlstr.hpp"
#include "framework/dom_ptr.hpp"
#include "xdata/fieldfixed.hpp"

XERCES_CPP_NAMESPACE_USE
namespace jabber
{
  std::string FieldFixed::xml()
  {
    return oa::XMLUtils().Print(BuildXml());
  }
  DOMNode*const FieldFixed::BuildXml()
  {
    /**
     * <field type='fixed'>
     *   <value>Value()</value>
     * </field>
     */
    DOMDocument*doc=oa::XMLUtils().Document(DocUri(),"oa");
    oa::xmlstr<XMLCh,char> valueName("value"),
      typeValue("fixed"),
      valueValue;

    oa::dom_ptr<DOMElement> fieldNode(BuildField());

    oa::dom_ptr<DOMElement> valueNode(doc->createElement(valueName));
    /**@note yes I am allowing this to be empty */
    if(!Value().empty()){
      valueValue.set(Value().c_str());
      oa::dom_ptr<DOMText> text(doc->createTextNode(valueValue));
      valueNode->appendChild(valueNode.release());
    }
    fieldNode->appendChild(valueNode.release());
    return fieldNode.release();
  }
};
