/* -*- Mode: c++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 * XData library
 * Contains objects to aid in Jabber client development and extend the
 * basic functionality of jabber.
 *
 * Copyright (C) 2003 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#ifndef OAJABBER_OAXDATA_FIELDOPTION_HPP
#define OAJABBER_OAXDATA_FIELDOPTION_HPP
#include <string>

namespace jabber
{
  /**
   * Typifying the options. This does nothing except to allow for containers
   */
  class XFieldOption
  {
  public:
    XFieldOption(){}
    XFieldOption(const std::string& lbl,const std::string& val)
      : m_label(lbl)
        ,m_value(val){}
    XFieldOption(const XFieldOption& o)
      :m_label(o.m_label),
       m_value(o.m_value){}
    ~XFieldOption(){}
    bool operator==(const XFieldOption& o)const{
      if(m_label==o.m_label && m_value==o.m_value){return true;}
      return false;
    }
    std::string Label()const{return m_label;}
    void Label(const std::string &lbl){m_label=lbl;}
    std::string Value()const{return m_value;}
    void Value(const std::string &val){m_value=val;}
    xercesc::DOMElement*const BuildXml(xercesc::DOMDocument*const doc,
                                       const XMLCh*const xmlns)const;
  private:
    std::string m_label;
    std::string m_value;
  };
};
#endif
