/* -*- Mode: c++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 * XData library
 * Contains objects to aid in Jabber client development and extend the
 * basic functionality of jabber.
 *
 * Copyright (C) 2003 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#include "openaether.hpp"
#include "xdata/fieldtype.hpp"

namespace jabber
{
  std::string XFieldType::toString()const
  {
    switch(m_type){
    case Text_Single:return "text-single";
    case Text_Private:return "text-private";
    case Text_Multi:return "text-multi";
    case List_Single:return "list-single";
    case List_Multi:return "list-multi";
    case Boolean:return "boolean";
    case Fixed:return "fixed";
    case Hidden:return "hidden";
    case Jid_Single:return "jid-single";
    case Jid_Multi:return "jid-multi";
    };
    return "text-single";
  }

  bool XFieldType::operator==(const XFieldType& t){
    if(&t==this){return true;}
    if(m_type==t.m_type){return true;}
    return false;
  }
}
