/* -*- Mode: c++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 * XData library
 * Contains objects to aid in Jabber client development and extend the
 * basic functionality of jabber.
 *
 * Copyright (C) 2003 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#ifndef OAJABBER_FIELDTYPE_HPP
#define OAJABBER_FIELDTYPE_HPP
#include <string>

namespace jabber
{
    /**
     * A simple class that allows for enum->string conversions
     * also has a == op to compare types
     */
  class XFieldType
  {
  public:   
    enum Field_Type{
      Text_Single=0,
      Text_Private,
      Text_Multi,
      List_Single,
      List_Multi,
      Boolean,
      Fixed,
      Hidden,
      Jid_Single,
      Jid_Multi};
  public:
    XFieldType(const Field_Type &t)
      :m_type(t){}
    ~XFieldType(){}
    std::string toString()const;
    bool operator==(const XFieldType& t);
  private:
    Field_Type m_type;
  };

};
#endif
