/* -*- Mode: c++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 * XData library
 * Contains objects to aid in Jabber client development and extend the
 * basic functionality of jabber.
 *
 * Copyright (C) 2003 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#ifndef OAJABBER_OAXDATA_FIELDVALIDATE_HPP
#define OAJABBER_OAXDATA_FIELDVALIDATE_HPP
#include <string>
#include "xdata/validatemethod.hpp"

namespace jabber
{
  class FieldValidate
  {
  public:
  public:
    FieldValidate()
      : m_method(ValidateMethod::Basic)
    {}
    FieldValidate(const FieldValidate& fv)
      : m_datatype(fv.m_datatype)
	,m_method(fv.m_method)
	,m_min(fv.m_min)
	,m_max(fv.m_max)
	,m_regex(fv.m_regex)
    {}
    ~FieldValidate(){}

    std::string Xmlns()const{
      return "http://jabber.org/protocol/xdata-validate";
    }

    std::string Datatype()const{ return m_datatype; }
    void Datatype(const std::string& dt){ m_datatype=dt; }

    ValidateMethod Method()const{ return m_method; }
    void Method(const ValidateMethod& vm){ m_method=vm; }

    std::string Min()const{ return m_min; }
    void Min(const std::string& min){ m_min=min; }

    std::string Max()const{ return m_max; }
    void Max(const std::string& max){ m_max=max; }

    std::string Regex()const{ return m_regex; }
    void Regex(const std::string& rg){ m_regex=rg; }

  private:
    std::string m_datatype;
    ValidateMethod m_method;
    std::string m_min;
    std::string m_max;
    std::string m_regex;
  };
};
#endif
