/* -*- Mode: c++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 * XData library
 * Contains objects to aid in Jabber client development and extend the
 * basic functionality of jabber.
 *
 * Copyright (C) 2003 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#ifndef OAJABBER_OAXDATA_JABXDATA_HPP
#define OAJABBER_OAXDATA_JABXDATA_HPP
#include "xstrm/ijabx.h"
#include "xdata/xdataform.hpp"

namespace jabber
{
  class JabData : public JabX
  {
  public:
    JabData()
      : JabX(){}
    JabData(const JabData& jd)
     : JabX(jd){}
    virtual ~JabData(){}

    virtual const char*const Uri()const{
      return "xmpp:xmlns=jabber:x:data";
    }

    virtual XDataForm Form()const{ return m_form; }
    virtual void Form(const XDataForm& xdf){ m_form=xdf; }
    virtual std::string xml();
    virtual xercesc::DOMNode*const BuildXml();
  protected:
    virtual xercesc::DOMNode*const BuildReported();
    virtual xercesc::DOMNode*const BuildItems();
  private:
    XDataForm m_form;
  };
};

#endif
