/* -*- Mode: c++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 * OAjabber library
 * Contains objects to aid in Jabber client development and extend the
 * basic functionality of jabber.
 *
 * Copyright (C) 2001 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#ifndef XSTRM_JABBERSTRMSTRING_HPP
#define XSTRM_JABBERSTRMSTRING_HPP

namespace jabber
{
  class JabberStreamFactory : public StreamFactory
  {
  public:
    JabberStreamFactory(const std::string &host, const std::string &ns)
      : m_host(host)
	,m_ns(ns)
    {
    }
    JabberStreamFactory(const JabberStreamFactory& jsf)
      : m_host(jsf.m_host)
	,m_ns(jsf.m_ns)
    {
    }
    virtual std::string Stream()const{
      std::string rv= std::string("")+
	"<?xml version=\"1.0\" encoding=\"UTF-8\" ?>"
	"<stream:stream to=\""+m_host+"\""
	" xmlns=\""+m_ns+"\""
	" xmlns:stream=\"http://etherx.jabber.org/streams\""
	">";
      return rv;
    }
  private:
    std::string m_host;
    std::string m_ns;
    
  };
};
#endif
