/* -*- Mode: c++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 * OAjabber library
 * Contains objects to aid in Jabber client development and extend the
 * basic functionality of jabber.
 *
 * Copyright (C) 2001 Justin Kirby
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Justin Kirby <justink@rochester.rr.com>
 *
 *******************************************************************/
#ifndef OAJABBER_JABJID_H
#define OAJABBER_JABJID_H

#include "xstrm/oaxstrm_exports.h" 
#include <string>

namespace jabber
{
  class OAXSTRM_API JabJid;
  class JabJid
  {
  public:
    JabJid(){}
    /**\todo kill this*/
    JabJid(const std::string &jid) : m_jid(jid){}
    JabJid(const JabJid &jj);
    virtual ~JabJid(){}

    bool IsNull() const;
    bool IsValid() const;

    std::string Jid() const;
    std::string Bare() const;
    std::string Name() const; 
    std::string Domain() const;
    std::string Resource() const;
    void Jid(const std::string &jid);
    void Name(const std::string &name);
    void Domain(const std::string &domain);
    void Resource(const std::string &rsrc);

    static int uname(std::string &usr, const std::string &jid);
    static int domain(std::string &dmn, const std::string &jid);
    static int resource(std::string &rsc, const std::string jid);
    
    bool operator == ( const jabber::JabJid& jid) const;
    bool operator < ( const jabber::JabJid& jid) const;
  protected:
    void MakeJid();
  protected:
    std::string m_jid;
    mutable std::string m_name;
    mutable std::string m_domain;
    mutable std::string m_resource;
  };

};

#endif
